<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- use with xmlintro.xml -->

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:="http://www.w3.org/TR/REC-html40">

  <xsl:include href="page.xsl"/>

  <xsl:template name="content">
  <html>

    <h1>EMPLOYEE</h1>

    <xsl:apply-templates select="employee_table">
    </xsl:apply-templates>

    <xsl:apply-templates select="employee" mode="single" />

  </html>
  </xsl:template>
  
  <xsl:template match="employee_table">
    <table>
      <xsl:apply-templates select="employee" mode="table">
        <xsl:sort select="last_name"/>
      </xsl:apply-templates>
    </table>
  </xsl:template>


  <xsl:template match="employee" mode="single">
    <table>
      <xsl:for-each select="*">
	<tr>
	   <td><xsl:value-of select="name()"/></td>
	   <td><xsl:value-of select="."/></td>
	</tr>
      </xsl:for-each>
    </table>
  </xsl:template>

  <xsl:template match="employee" mode="table">
    <tr>
      <td><a href="/RestFrameDebug.RestFrame/employee/{emp_no}.html"><xsl:value-of select="emp_no"/></a></td>
      <td><xsl:value-of select="first_name"/><xsl:text> </xsl:text> <xsl:value-of select="last_name"/></td>
      <td><a href="/RestFrameDebug.RestFrame/department/{dept_no}.html"><xsl:value-of select="dept_no"/></a></td>
    </tr>
  </xsl:template>

  
</xsl:stylesheet>
        
